| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxDataViewItem Class Reference
wxDataViewCtrl Related Classes

`#include <wx/dataview.h>`

## Detailed Description

wxDataViewItem is a small opaque class that represents an item in a wxDataViewCtrl in a persistent way, i.e.

independent of the position of the item in the control or changes to its contents.

It must hold a unique ID of type void* in its only field and can be converted to and from it.

If the ID is NULL the wxDataViewItem is invalid and wxDataViewItem::IsOk will return false which used in many places in the API of wxDataViewCtrl to indicate that e.g. no item was found. An ID of NULL is also used to indicate the invisible root. Examples for this are wxDataViewModel::GetParent and wxDataViewModel::GetChildren.

##

Library: wxAdvanced
Category: wxDataViewCtrl Related Classes

## Public Member Functions

void * | GetID () const
| Returns the ID.
bool | IsOk () const
| Returns true if the ID is not NULL.
| wxDataViewItem ()
| Constructor.
| wxDataViewItem (const wxDataViewItem &item)
| Constructor.
| wxDataViewItem (void *id)
| Constructor.

## Constructor & Destructor Documentation

wxDataViewItem::wxDataViewItem | ( |  | ) |

Constructor.

wxDataViewItem::wxDataViewItem | ( | const wxDataViewItem & | item | ) |

Constructor.

wxDataViewItem::wxDataViewItem | ( | void * | id | ) |

explicit

Constructor.

## Member Function Documentation

void* wxDataViewItem::GetID | ( |  | ) | const

Returns the ID.

bool wxDataViewItem::IsOk | ( |  | ) | const

Returns true if the ID is not NULL.